/*============================================================================
  CMake - Cross Platform Makefile Generator
  Copyright 2000-2009 Kitware, Inc., Insight Software Consortium

  Distributed under the OSI-approved BSD License (the "License");
  see accompanying file Copyright.txt for details.

  This software is distributed WITHOUT ANY WARRANTY; without even the
  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the License for more information.
============================================================================*/
#include "cmGlobalCMDMakefileGenerator.h"
#include "cmLocalUnixMakefileGenerator3.h"
#include "cmMakefile.h"
#include "cmake.h"

cmGlobalCMDMakefileGenerator::cmGlobalCMDMakefileGenerator()
    : cmGlobalUnixMakefileGenerator3()
{
}

///! Create a local generator appropriate to this Global Generator
cmLocalGenerator *cmGlobalCMDMakefileGenerator::CreateLocalGenerator()
{
  cmLocalGenerator* lg = cmGlobalUnixMakefileGenerator3::CreateLocalGenerator();
  dynamic_cast<cmLocalUnixMakefileGenerator3*>( lg )->SetWindowsShell(true);
  return lg;
}

//----------------------------------------------------------------------------
void cmGlobalCMDMakefileGenerator
::GetDocumentation(cmDocumentationEntry& entry) const
{
  entry.Name = this->GetName();
  entry.Brief = "Generates Unix makefiles with DOS file paths.";
  entry.Full = "The makefiles use cmd.exe as the shell.  "
    "They require GNU Make for Windows to be installed on the machine.";
}
