/*============================================================================
  CMake - Cross Platform Makefile Generator
  Copyright 2000-2009 Kitware, Inc., Insight Software Consortium

  Distributed under the OSI-approved BSD License (the "License");
  see accompanying file Copyright.txt for details.

  This software is distributed WITHOUT ANY WARRANTY; without even the
  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the License for more information.
============================================================================*/
#ifndef cmGlobalCMDMakefileGenerator_h
#define cmGlobalCMDMakefileGenerator_h

#include "cmGlobalUnixMakefileGenerator3.h"

/** \class cmGlobalCMDMakefileGenerator
 * \brief Write GNU Make makefiles with DOS/WIN32 CMD paths.
 *
 * cmGlobalCMDMakefileGenerator manages make build process for a tree
 */
class cmGlobalCMDMakefileGenerator : public cmGlobalUnixMakefileGenerator3
{
public:
  cmGlobalCMDMakefileGenerator();
  static cmGlobalGenerator* New() { 
    return new cmGlobalCMDMakefileGenerator; }

  ///! Get the name for the generator.
  virtual const char* GetName() const {
    return cmGlobalCMDMakefileGenerator::GetActualName();}
  static const char* GetActualName() {return "CMD Makefiles";}

  /** Get the documentation entry for this generator.  */
  virtual void GetDocumentation(cmDocumentationEntry& entry) const;
  
  ///! Create a local generator appropriate to this Global Generator
  virtual cmLocalGenerator *CreateLocalGenerator();
};

#endif
